%define _hwdatadir %_datadir/hwdatabase/videoaliases
%define _fdidir %_datadir/hal/fdi/policy/20thirdparty

Name: xorg-drv-i810
Version: 2.4.3
Release: alt4
Serial: 4
Summary: Intel integrated graphics chipsets
License: MIT/X11
Group: System/X11
Url: http://xorg.freedesktop.org
Packager: Valery Inozemtsev <shrek@altlinux.ru>

Requires: XORG_ABI_VIDEODRV = %get_xorg_abi_videodrv
Requires: xorg-dri-intel xorg-drv-intel

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): xorg-sdk
BuildRequires: libGL-devel libX11-devel libXvMC-devel xorg-fontsproto-devel xorg-randrproto-devel
BuildRequires: xorg-renderproto-devel xorg-xextproto-devel xorg-xf86driproto-devel xorg-xineramaproto-devel

%description
intel  is  an  Xorg  driver  for  Intel  integrated  graphics
chipsets.  The driver supports depths 8, 15, 16  and  24.   All  visual
types are supported in depth 8.  For the i810/i815 other depths support
the TrueColor and DirectColor visuals.  For the 830M  and  later,  only
the  TrueColor  visual  is  supported  for  depths greater than 8.  The
driver supports hardware accelerated 3D via the Direct Rendering Infra-
structure  (DRI),  but only in depth 16 for the i810/i815 and depths 16
and 24 for the 830M and later.

%prep
%setup -q
%patch -p1

%build
%autoreconf
%configure \
	--with-xserver-source=%_includedir/xorg \
	--with-xorg-module-dir=%_x11modulesdir \
	--enable-dri \
	--disable-static

%make_build

%install
%make DESTDIR=%buildroot install

mkdir -p %buildroot%_hwdatadir
sed -ne '/^#def.*_BRIDGE.*/d;s|^#def.*\(PCI_CHIP_.*\)[[:space:]]*0x\([[:xdigit:]]*\)|alias pcivideo:v00008086d0000\U\2\Esv*sd*bc*sc*i* i810\t# \1|p' src/common.h \
	| grep "PCI_CHIP_.*8[1-6][05]" >> %buildroot%_hwdatadir/i810.xinf

mkdir -p %buildroot%_fdidir
sh xinf2fdi -x %buildroot%_hwdatadir/i810.xinf -f %buildroot%_fdidir/11-x11-video-i810.fdi -d i810

%files
%_x11modulesdir/drivers/*.so
%dir %_hwdatadir
%_hwdatadir/*.xinf
%_fdidir/11-x11-video-i810.fdi
%_man4dir/i*.4*

%changelog
* Tue Aug 11 2009 Valery Inozemtsev <shrek@altlinux.ru> 4:2.4.3-alt4
- old version for i8XX

* Wed Feb 04 2009 Valery Inozemtsev <shrek@altlinux.ru> 4:2.4.3-alt3.M50.1
- build for branch 5.0

* Mon Jan 05 2009 Valery Inozemtsev <shrek@altlinux.ru> 4:2.4.3-alt3
- rollback to 2.4.3, wait GEM in kernel/Mesa

* Sun Dec 07 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.5.1-alt2
- updated build dependencies

* Mon Dec 01 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.4.3-alt2
- updated build dependencies

* Fri Nov 14 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.5.1-alt1
- 2.5.1

* Fri Nov 14 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.4.3-alt0.M41.1
- build for branch 4.1

* Thu Nov 13 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.4.3-alt1
- 2.4.3

* Fri Nov 07 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.4.2-alt9.M41.1
- build for branch 4.1

* Fri Nov 07 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.4.2-alt10
- use LFP data pointers instead of array (close #17811)

* Sun Sep 21 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.4.2-alt8
- disabled TTM

* Sat Sep 20 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.4.2-alt7
- Pipe A force quirk for Toshiba Satellite A30
- fixed upscaling limit
- fixed timer leak

* Mon Sep 15 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.4.2-alt5.M41.1
- build for branch 4.1

* Mon Sep 15 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.4.2-alt6
- added new option "TTM", TTM disabled by defaults

* Sat Sep 13 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.4.2-alt5
- enabled TTM

* Fri Sep 12 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.4.2-alt4
- added support for G41 chipset

* Fri Sep 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.4.2-alt3
- set EXA by defaults

* Wed Aug 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.4.2-alt2
- requires XORG_ABI_VIDEODRV = 4.1

* Tue Aug 26 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.4.2-alt1
- 2.4.2

* Fri Aug 15 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.4.1-alt1
- 2.4.1

* Fri Aug 01 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.4.0-alt1
- 2.4.0

* Wed Jun 18 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.3.2-alt2
- add support for Intel 4 series chipsets

* Wed Jun 18 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.3.2-alt1
- 2.3.2

* Mon Jun 02 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.3.1-alt3
- rename xorg-x11-drv-intel to xorg-drv-intel
- add requires XORG_ABI_VIDEODRV = 2.0

* Sat May 24 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.3.1-alt2
- fix/check vt switch

* Mon May 12 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.3.1-alt1
- 2.3.1

* Sat May 10 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.3.0-alt2
- xf86-video-intel-2.3-branch 2008-05-10:
  + fixed freeze on two X start (close #15479)

* Wed Apr 23 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.3.0-alt1
- 2.3.0
- XAA by defaults for all chips

* Fri Apr 04 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.1-alt4
- obsoletes xorg-x11-drv-i810
- convert xinf to fdi

* Thu Mar 27 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.1-alt3
- XAA by defaults for i8xx only

* Tue Mar 25 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.1-alt2
- disable DRI memory manager
- reset XV after mode switch

* Sat Feb 23 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.1-alt1
- 2.2.1

* Wed Feb 06 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.0.90-alt1
- 2.2.1 pre-release

* Fri Jan 25 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.0-alt5
- fix VT switch

* Sat Jan 05 2008 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.0-alt4
- xf86-video-intel-2.2-branch

* Sat Dec 01 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.0-alt3
- removed provides/obsoletes i810
- fixed intel.xinf

* Sat Nov 17 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.0-alt2
- fix typo in 1920x1080 resolution entry

* Fri Nov 16 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.2.0-alt1
- 2.2.0
- drop legacy driver

* Wed Oct 31 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.1.1-alt3
- added backlight control methods patch (close #13211)

* Mon Sep 10 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.1.1-alt2
- rebuild with xorg-server-1.4

* Fri Aug 31 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.1.1-alt1
- 2.1.1
- legacy driver version 1.6.5

* Thu Aug 09 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.1.0-alt3
- added 0x8086:0x2562 845G/GL/GE (close #12515)

* Tue Jul 31 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.1.0-alt2
- generate intel.xinf from common.h
- added 0x8086:0x5641 PCI_CHIP_I845_G (close #12423)

* Tue Jul 03 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.1.0-alt1
- 2.1.0

* Tue Jun 19 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.0.0-alt8
- fix left G33 issues
- update xinf file

* Wed Jun 06 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.0.0-alt7
- add support for the G33, Q33, and Q35 chipsets

* Thu May 31 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.0.0-alt6
- add support for the i945GME, i965GME and i965GLE chipsets

* Fri Apr 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.0.0-alt5
- returned old driver i810

* Fri Apr 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.0.0-alt4
- drop XV patches

* Wed Apr 25 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.0.0-alt3
- fixed XV on i8xx chipsets

* Tue Apr 24 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.0.0-alt2
- removed old driver i810

* Fri Apr 20 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:2.0.0-alt1
- 2.0 release

* Tue Apr 03 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:1.9.94-alt1
- 2.0RC4

* Tue Mar 27 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:1.9.93-alt1
- 2.0.RC3
- update xinf

* Wed Mar 14 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:1.9.92-alt1
- 2.0RC2

* Thu Jan 11 2007 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.4-alt1
- 1.7.4:
  + Fix bug #8536, i915 BIOS fails when restarting Xserver.

* Wed Dec 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.3-alt3
- removed modesetting driver

* Sun Dec 10 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.3-alt2
- added modesetting driver (intel_drv.so) for i9xx

* Thu Dec 07 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.3-alt1
- 1.7.3

* Thu Nov 30 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.2-alt4
- added xf86-video-intel-1.7.2-git-DRM-memory-manager,
	xf86-video-intel-1.7.2-git-Xv-hang-G965.patch,
	xf86-video-i810-setcursorposition.diff,
	xf86-video-i810-update-port-attributes.diff,
	xf86-video-i810-video-debug.diff
- added RH patches:
	xf86-video-intel-1.7.2-rh-i810-match-server-sync-ranges.patch

* Thu Nov 16 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.2-alt3
- rollback to 1.7.2 release
- added videoaliases file from RH

* Thu Nov 09 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.2-alt2
- GIT snapshot 2006-11-08

* Fri Oct 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.2-alt1
- 1.7.2:
  + suspend/resume regression from 1.5 driver

* Mon Oct 02 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.7.0-alt1
- 1.7.0

* Tue Aug 29 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.5-alt1.git20060829
- GIT snapshot 2006-08-29

* Fri Aug 11 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.5-alt1
- 1.6.5

* Tue Aug 08 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.3-alt1
- 1.6.3

* Wed Jul 26 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.1-alt1
- 1.6.1

* Sun Jun 04 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.0-alt3
- fix VT switch DRI locking

* Sat May 13 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.0-alt2
- requires xorg-x11-server >= 1.0.99.901

* Thu Apr 20 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.6.0-alt1
- 1.6.0

* Sun Mar 19 2006 Valery Inozemtsev <shrek@altlinux.ru> 3:1.4.1.3-alt1
- rollback 1.4.1.3

* Sun Mar 05 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.5.2.0-alt1
- 1.5.2.0 (requires xorg-x11-server >= 1.0.1-alt14)

* Fri Feb 03 2006 Valery Inozemtsev <shrek@altlinux.ru> 2:1.4.1.3-alt1
- rollback 1.4.1.3 (1.5.0.0 problematic)

* Tue Jan 31 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.5.0.0-alt1
- 1.5.0.0

* Mon Jan 23 2006 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1.3-alt2
- removed files spectre (%%ghost %%_libdir/*.so)

* Wed Dec 28 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1.3-alt1
- Xorg-7.0

* Sun Dec 04 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1.1-alt1
- Xorg-7.0RC3

* Sun Nov 27 2005 Valery Inozemtsev <shrek@altlinux.ru> 1:1.4.1-alt0.1
- initial release

